GET /v2.0/data/spatial/lakes
neotomadb.org:neotoma-database-api
Operation ID: —
Auth: unknown
Parameters (4)
(integer, query, optional, default: 10000)
Buffer distance for point of polygon in meters.
Constraints: {'minimum': 0, 'maximum': 10000}
(number, query, optional, default: 0.0001)
Precision of points within a rendered polygon. Many spatial objects are generated statistically and may have overly precise point coordinates. Often precisions to 100m is sufficient for rendering to map.<br> **NOTE**: the precision is dependent on the projected units. For the default SRID=4326 projection, precision units are in decimal degrees, where 0.1 degrees latitude = 11.1km and 0.0001 degrees latitude = 11.1m. For metric precision, units will be in meters.<br>The default value of *0.0001* represents a metric distance of 11.1m in the default 4326 projection.
Constraints: {'minimum': 0, 'maximum': 1000}
(integer, query, optional, default: 4326)
A valid integer [spatial reference identifier](https://en.wikipedia.org/wiki/Spatial_reference_system#Identifier) value. By default Neotoma returns all data with the SRID 4326 (standard lat/long), representing the [WSG84](https://en.wikipedia.org/wiki/World_Geodetic_System#WGS84) model of the planet. For web mapping users may choose SRID *3857* if using projected features.
Constraints: {'enum': [3031, 3857, 3995, 4326, 9989, 32633, 32733]}
(integer, query, optional)
Valid Neotoma site identifier (integer), either singly or in a comma separated list.
Constraints: {'minimum': 1, 'maximum': 50000}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get lake spatial data for a single site | curl |
https://api.neotomadb.org/v2.0/data/spatial/lakes?siteid=1 |
|
| Get lake data with custom buffer distance | curl |
https://api.neotomadb.org/v2.0/data/spatial/lakes?siteid=100&buffer=50000 |
|
| Get lake data for multiple sites with custom projection | curl |
https://api.neotomadb.org/v2.0/data/spatial/lakes?siteid=1,2,3&proj=3857&prec=0.001 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:14:40.225932 | 200 | 1451ms | |
| 2026-03-23 10:17:52.674310 | 200 | 686ms | |
| 2026-03-23 09:41:47.804098 | 200 | 1134ms | 0.6MB |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:17:52.674310 | 3bb652044720 |
f5e7d339ac8d |
| 2026-03-23 11:14:40.225932 | f5e7d339ac8d |
1fc898af368f |